com.pixelmed.dicom

## Class VersionAndConstants

- java.lang.Object
- - com.pixelmed.dicom.VersionAndConstants

    public class VersionAndConstants
    extends java.lang.Object

Various pre-defined constants for identifying this software.

### Field Summary

Fields
`static java.lang.String` `implementationClassUID`
`static java.lang.String` `implementationVersionName`
`static java.lang.String` `instanceCreatorUID`
`static java.lang.String` `releaseString`
`static java.lang.String` `softwareVersion`
`static java.lang.String` `uidQualifierForImplementationClassUID`
`static java.lang.String` `uidQualifierForInstanceCreatorUID`
`static java.lang.String` `uidQualifierForThisToolkit`
`static java.lang.String` `uidQualifierForUIDGenerator`
`static java.lang.String` `uidRoot`

### Constructor Summary

Constructors
Constructor and Description
`VersionAndConstants()`

### Method Summary

Methods
`static java.lang.String` `getBuildDate()` Get the date the package was built.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### softwareVersion

    public static final java.lang.String softwareVersion

See Also:
  Constant Field Values

#### implementationVersionName

    public static final java.lang.String implementationVersionName

See Also:
  Constant Field Values

#### uidRoot

    public static final java.lang.String uidRoot

See Also:
  Constant Field Values

#### uidQualifierForThisToolkit

    public static final java.lang.String uidQualifierForThisToolkit

See Also:
  Constant Field Values

#### uidQualifierForUIDGenerator

    public static final java.lang.String uidQualifierForUIDGenerator

See Also:
  Constant Field Values

#### uidQualifierForImplementationClassUID

    public static final java.lang.String uidQualifierForImplementationClassUID

See Also:
  Constant Field Values

#### uidQualifierForInstanceCreatorUID

    public static final java.lang.String uidQualifierForInstanceCreatorUID

See Also:
  Constant Field Values

#### implementationClassUID

    public static final java.lang.String implementationClassUID

See Also:
  Constant Field Values

#### instanceCreatorUID

    public static final java.lang.String instanceCreatorUID

See Also:
  Constant Field Values

#### releaseString

    public static final java.lang.String releaseString

See Also:
  Constant Field Values

### Constructor Detail

#### VersionAndConstants

    public VersionAndConstants()

### Method Detail

#### getBuildDate

    public static java.lang.String getBuildDate()

Get the date the package was built.

Returns:
  the build date